Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 9 Jan 2013 08:07:10 +0000 (UTC)
From:      Mark Linimon <linimon@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-projects@freebsd.org
Subject:   svn commit: r245219 - projects/portbuild/scripts
Message-ID:  <201301090807.r0987ATR095845@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: linimon (doc,ports committer)
Date: Wed Jan  9 08:07:09 2013
New Revision: 245219
URL: http://svnweb.freebsd.org/changeset/base/245219

Log:
  Start the deorbit burn of sudo_cmd.  In theory this is no longer necessary.
  
  While here, add a backstop to copy client.conf and common.conf to the slaves
  from the conf/ directory if they do not exist in builddir.  The latter was
  the way it was set up on pointyhat-west but it seems fragile to rely on it
  being so.

Modified:
  projects/portbuild/scripts/dosetupnode

Modified: projects/portbuild/scripts/dosetupnode
==============================================================================
--- projects/portbuild/scripts/dosetupnode	Wed Jan  9 05:49:52 2013	(r245218)
+++ projects/portbuild/scripts/dosetupnode	Wed Jan  9 08:07:09 2013	(r245219)
@@ -24,6 +24,9 @@ buildid=$3
 nodelist=$4
 shift 4
 
+# XXX MCL 20121216 in theory if the slaves become owner 'portbuild' you won't need this.
+sudo_cmd=
+
 . ${pbc}/conf/server.conf
 if [ -f ${pbd}/${arch}/portbuild.conf ]; then
     . ${pbd}/${arch}/portbuild.conf
@@ -86,8 +89,17 @@ setup() {
 	    ${client_user}@${node}:/var/portbuild/
 	checkerror $? || (echo "Copying scripts to ${node} failed"; return 1)
 
-	# conf files (e.g. client.conf and common.conf) can be symlinks outside
-	# this dir, so copy the actual files
+	# copy the default conf files (i.e., client.conf and common.conf) in case
+        # they are not overriden by per-buildenv ones, and have not been symlinked
+	rsync ${rsync_gzip} -e "${ssh_cmd}" -r -L -p --delete ${pbd}/conf/client.conf \
+	    ${client_user}@${node}:${pbd}/${arch}
+	checkerror $? || (echo "Copying client.conf to ${node} failed"; return 1)
+	rsync ${rsync_gzip} -e "${ssh_cmd}" -r -L -p --delete ${pbd}/conf/common.conf \
+	    ${client_user}@${node}:${pbd}/${arch}
+	checkerror $? || (echo "Copying common.conf to ${node} failed"; return 1)
+
+	# per-buildenv conf files (e.g., client.conf and common.conf) can be symlinks
+        # outside this dir, so copy the actual files
 	rsync ${rsync_gzip} -e "${ssh_cmd}" -r -L -p --delete ${pbd}/${arch}/*.conf \
 	    ${client_user}@${node}:${pbd}/${arch}
 	checkerror $? || (echo "Copying *.conf to ${node} failed"; return 1)



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201301090807.r0987ATR095845>